<?xml version="1.0"?>
<tryton>
    <data>

        <!-- EXTENSIÓN FROM THE TREATMENTS VIEW -->
        
        <record id="health_dentistry_form" model="ir.ui.view">
           <field name="model">gnuhealth.dentistry.treatment</field>
           <field name="inherit" ref="health_dentistry.gnuhealth_dentistry_treatment_view"/>           
           <field name="name">health_dentistry_form</field>
       </record>
       <record id="health_dentistry_ext_tree" model="ir.ui.view">
           <field name="model">gnuhealth.dentistry.treatment</field>
           <field name="inherit" ref="health_dentistry.gnuhealth_dentistry_treatment_tree"/>         
           <field name="name">health_dentistry_tree</field>
       </record>

        <!-- ODONTOLOGY ICON INTO THE HEALTH MENU -->
        
        <record model="ir.ui.icon" id="odontology_icon">
            <field name="name">odontology-icon</field>
            <field name="path">icons/odontology.svg</field>
        </record>
      
        <menuitem name="Odontology" parent="health.gnuhealth_menu" id="odontology_menu" sequence="24" icon="odontology-icon"/>
        
        <!-- HELP ICON INTO THE HEALTH MENU -->
        
        <record model="ir.ui.icon" id="help_icon">
            <field name="name">help-icon</field>
            <field name="path">icons/help.svg</field>
        </record>
      
        <menuitem name="Help" parent="odontology_menu" id="odontology_help_menu" sequence="110" icon="help-icon"/>
        
        <!-- READ-ONLY TREE VIEW We create the patient procedures treatments -->

        <record model="ir.action.act_window" id="action_gnuhealth_patient_treatment_procedure_readonly_view">
            <field name="name">Odontology Treatments [readonly]</field>
            <field name="res_model">gnuhealth.dentistry.treatment</field>
        </record>

        <record model="ir.action.act_window.view" id="act_gnuhealth_patient_treatment_procedure_readonly_view_list">
            <field name="sequence" eval="70"/>
            <field name="view" ref="health_dentistry.gnuhealth_dentistry_treatment_tree"/>
            <field name="act_window" ref="action_gnuhealth_patient_treatment_procedure_readonly_view"/>
        </record>

        <menuitem action="action_gnuhealth_patient_treatment_procedure_readonly_view"
            id="menu_gnuhealth_patient_treaatment_procedure_readonly_list" icon="odontology-icon"
            parent="odontology_menu"/>    

    </data>
</tryton>
